org.codehaus.plexus.metadata

## Class ComponentDescriptorExtractorSupport

- java.lang.Object
- - org.codehaus.plexus.metadata.ComponentDescriptorExtractorSupport

All Implemented Interfaces:
  ComponentDescriptorExtractor

Direct Known Subclasses:
  ClassComponentDescriptorExtractor, SourceComponentDescriptorExtractor

    public abstract class ComponentDescriptorExtractorSupport
    extends java.lang.Object
    implements ComponentDescriptorExtractor

Support for `ComponentDescriptorExtractor` implementations.

Version:
  $Id: ComponentDescriptorExtractorSupport.java 8174 2009-05-11 15:15:23Z jvanzyl $

### Field Summary

### Fields inherited from interface org.codehaus.plexus.metadata.ComponentDescriptorExtractor

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`ComponentDescriptorExtractorSupport()`

### Method Summary

Methods
`protected void` `applyDefaults(ComponentDescriptor<?> descriptor, java.util.Map<java.lang.String,ComponentDescriptor<?>> defaultsByRole)`
`protected java.util.Map<java.lang.String,ComponentDescriptor<?>>` `getDefaultsByRole(ComponentDescriptor<?>[] roleDefaults)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.metadata.ComponentDescriptorExtractor

`extract`

### Constructor Detail

#### ComponentDescriptorExtractorSupport

    public ComponentDescriptorExtractorSupport()

### Method Detail

#### getDefaultsByRole

    protected java.util.Map<java.lang.String,ComponentDescriptor<?>> getDefaultsByRole(ComponentDescriptor<?>[] roleDefaults)

#### applyDefaults

    protected void applyDefaults(ComponentDescriptor<?> descriptor,
                     java.util.Map<java.lang.String,ComponentDescriptor<?>> defaultsByRole)